<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <%= content_tag 'title',  "Mwamko - #{@page_title1} - #{@page_title2}" %>
    <%= stylesheet_link_tag "rails", :media => "screen" %>
    <%= stylesheet_link_tag "rails_book", :media => "screen" %>

    <%= stylesheet_link_tag "alevchuk", :media => "screen" %>

    <%= stylesheet_link_tag "ansi2html", :media => "screen" %>

    <%= javascript_include_tag "application" %>
    <%= javascript_include_tag "prototype" %>
    <%= javascript_include_tag "effects" %>	

</head>
<body>
<div id="page">
  <div id="sidebar">
    <ul>
      <li><%= link_to 'About Mwamko', 
                      :controller => 'homepage', 
	              :action => 'home' %></li>

    <% user_model = User.find_by_id(session[:user_id])%>
    <% if user_model and user_model.is_admin%>
      <li><%= link_to '<b style="color: red;">Admin</b>', 
              :controller=>'admin'
          %>
      </li>
    <% end %>
    </ul>    

    <ul id="sidebar-items">
      <li><%=
      if session[:user_id].nil?
        link_to "Login", {:controller=>'homepage', :action=>''}
      else
        c = []
	c << 'logged in as'
	c << content_tag('i', User.find(session[:user_id]).name)

	c << content_tag('div', 
          link_to("Logout", 
                  {:controller=>'login', :action=>'logout'}), 
                  :id=>'logout_box')
	

	c.join(' ')
      end-%></li>
      <br>
      <li>
        <%= link_to 'Change Password', 
                      :controller => 'login', 
	              :action => 'get_new_password' %>
      </li>
    </ul>
      
  </div>
      
  <div id="content">	

    <div id="header">
      <h1><%= @page_title1 || "Mwamko" %></h1>
      <h2><%= @page_title2 || "You&rsquo;re riding the Rails!" %></h2>
    </div>
        
    <div id="getting-started">

      <div id="notices">      
  
	
        <% if flash.include?(:notices) %>
          <% flash[:notices].each do |notice| %>
            <div id="notice"><%= notice %></div>
          <% end -%>
       <% end %>


       <% if !@notices.nil? %>
        <% @notices.each do |notice| %>
          <div id="notice"><%= notice %></div>
        <% end -%>
      <% end %>
      </div>

      <%= yield %>
    </div>


  </div>


  <%= footer_line %>

</body>
</html>
